Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.scanners
Class TagScanner

    java.lang.Object
      org.htmlparser.scanners.TagScanner

All Implemented Interfaces:
  Serializable, Scanner

Direct Known Subclasses:
  CompositeTagScanner, JspScanner

    public class TagScanner

extends Object
implements Scanner, Serializable

TagScanner is an abstract superclass, subclassed to create specific scanners. When asked to scan the tag, this class does nothing other than perform the tag's semantic action. Use TagScanner when you have a meta task to do like setting the BASE url for the page when a BASE tag is encountered. If you want to match end tags and handle special syntax between tags, then you'll probably want to subclass `CompositeTagScanner` instead.

See Also:
  Serialized Form

Constructor Summary
`TagScanner()` Create a (non-composite) tag scanner.

Method Summary
`Tag` | `scan(Tag tag, Lexer lexer, NodeList stack)` Scan the tag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagScanner

    public TagScanner()

  Create a (non-composite) tag scanner.

Method Detail

### scan

    public Tag scan(Tag tag,
                    Lexer lexer,
                    NodeList stack)
             throws ParserException

  Scan the tag. For this implementation, the only operation is to perform the tag's semantic action.

  Specified by:
    `scan` in interface `Scanner`
  Parameters:
    `tag` - The tag to scan.
    `lexer` - Provides html page access.
    `stack` - The parse stack. May contain pending tags that enclose this tag.
  Returns:
    The resultant tag (may be unchanged).
  Throws:
    `ParserException` - if an unrecoverable problem occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |